Rapid7 Vulnerability & Exploit Database

Gentoo Linux: CVE-2014-1557: Mozilla Products: Multiple vulnerabilities

Back to Search

Gentoo Linux: CVE-2014-1557: Mozilla Products: Multiple vulnerabilities

Severity
9
CVSS
(AV:N/AC:M/Au:N/C:C/I:C/A:C)
Published
07/23/2014
Created
07/25/2018
Added
10/30/2017
Modified
10/30/2017

Description

The ConvolveHorizontally function in Skia, as used in Mozilla Firefox before 31.0, Firefox ESR 24.x before 24.7, and Thunderbird before 24.7, does not properly handle the discarding of image data during function execution, which allows remote attackers to execute arbitrary code by triggering prolonged image scaling, as demonstrated by scaling of a high-quality image.

Solution(s)

  • gentoo-linux-upgrade-dev-libs-nspr
  • gentoo-linux-upgrade-mail-client-thunderbird
  • gentoo-linux-upgrade-mail-client-thunderbird-bin
  • gentoo-linux-upgrade-www-client-firefox
  • gentoo-linux-upgrade-www-client-firefox-bin
  • gentoo-linux-upgrade-www-client-seamonkey
  • gentoo-linux-upgrade-www-client-seamonkey-bin

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;